Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Perl with '-Dusecbacktrace' doesn't compile on darwin #15245

Closed
p5pRT opened this issue Mar 22, 2016 · 5 comments
Closed

Perl with '-Dusecbacktrace' doesn't compile on darwin #15245

p5pRT opened this issue Mar 22, 2016 · 5 comments

Comments

@p5pRT
Copy link
Collaborator

@p5pRT p5pRT commented Mar 22, 2016

Migrated from rt.perl.org#127764 (status was 'resolved')

Searchable as RT127764$

@p5pRT

This comment has been minimized.

Copy link
Collaborator Author

@p5pRT p5pRT commented Mar 22, 2016

From @dur-randir

Created by @dur-randir

./Configure -de -Dusedevel -Dusecbacktrace -Accflags=-DUSE_C_BACKTRACE_ON_ERROR && make

results in the following compilation error​:

echo @​`sh cflags "optimize='-O3'" opmini.o` -DPERL_IS_MINIPERL -DPERL_EXTERNAL_GLOB opmini.c
@​cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings -DPERL_IS_MINIPERL -DPERL_EXTERNAL_GLOB opmini.c
echo @​`sh cflags "optimize='-O3'" perlmini.o` -DPERL_IS_MINIPERL -DPERL_EXTERNAL_GLOB perlmini.c
@​cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings -DPERL_IS_MINIPERL -DPERL_EXTERNAL_GLOB perlmini.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings gv.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings toke.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings perly.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings pad.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings regcomp.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings dump.c
cc -c -DPERL_CORE -fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV -std=c89 -O3 -Wall -Werror=declaration-after-statement -Wextra -Wc++-compat -Wwrite-strings util.c
util.c​:6188​:18​: error​: use of undeclared identifier 'MAX_STRLEN'
  && uv <= MAX_STRLEN
  ^
1 error generated.
make​: *** [util.o] Error 1

Perl Info

Flags:
    category=core
    severity=low

Site configuration information for perl 5.23.10:

Configured by dur-randir at Tue Mar 22 14:16:10 MSK 2016.

Summary of my perl5 (revision 5 version 23 subversion 10) configuration:
  Derived from: 2c1c14b5e997d921bc4d9510fbe1db2d662a5346
  Platform:
    osname=darwin, osvers=13.4.0, archname=darwin-2level
    uname='darwin isengard.local 13.4.0 darwin kernel version 13.4.0: wed mar 18 16:20:14 pdt 2015; root:xnu-2422.115.14~1release_x86_64 x86_64 '
    config_args='-de -Dusedevel -Dusecbacktrace -Accflags=-DUSE_C_BACKTRACE_ON_ERROR'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -DUSE_C_BACKTRACE -g -DPERL_USE_SAFE_PUTENV',
    optimize='-O3',
    cppflags='-fno-common -DPERL_DARWIN -mmacosx-version-min=10.9 -DUSE_C_BACKTRACE_ON_ERROR -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.56)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -mmacosx-version-min=10.9 -fstack-protector -L/usr/local/lib'
    libpth=/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/lib /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/lib /usr/local/lib /usr/lib
    libs=-lpthread -lgdbm -ldbm -ldl -lm -lutil -lc -lbfd
    perllibs=-lpthread -ldl -lm -lutil -lc -lbfd
    libc=, so=dylib, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags=' -mmacosx-version-min=10.9 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector'

Locally applied patches:
    uncommitted-changes


@INC for perl 5.23.10:
    lib
    /usr/local/lib/perl5/site_perl/5.23.10/darwin-2level
    /usr/local/lib/perl5/site_perl/5.23.10
    /usr/local/lib/perl5/5.23.10/darwin-2level
    /usr/local/lib/perl5/5.23.10
    /usr/local/lib/perl5/site_perl
    .


Environment for perl 5.23.10:
    DYLD_LIBRARY_PATH (unset)
    HOME=/Users/dur-randir
    LANG=en_US.UTF-8
    LANGUAGE (unset)
    LD_LIBRARY_PATH (unset)
    LOGDIR (unset)
    PATH=/Users/dur-randir/perlbrew/bin:/Users/dur-randir/perlbrew/perls/perl-blead-thr-dbg/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin
    PERLBREW_BASHRC_VERSION=0.69
    PERLBREW_HOME=/Users/dur-randir/.perlbrew
    PERLBREW_MANPATH=/Users/dur-randir/perlbrew/perls/perl-blead-thr-dbg/man
    PERLBREW_PATH=/Users/dur-randir/perlbrew/bin:/Users/dur-randir/perlbrew/perls/perl-blead-thr-dbg/bin
    PERLBREW_PERL=perl-blead-thr-dbg
    PERLBREW_ROOT=/Users/dur-randir/perlbrew
    PERLBREW_VERSION=0.69
    PERL_BADLANG (unset)
    SHELL=/usr/local/bin/zsh
@p5pRT

This comment has been minimized.

Copy link
Collaborator Author

@p5pRT p5pRT commented Mar 22, 2016

From @jhi

Fixed with

http​://perl5.git.perl.org/perl.git/commit/99315af872aaf23d9620b68b29cdc34181bf06c7

@p5pRT

This comment has been minimized.

Copy link
Collaborator Author

@p5pRT p5pRT commented Mar 22, 2016

The RT System itself - Status changed from 'new' to 'open'

@p5pRT

This comment has been minimized.

Copy link
Collaborator Author

@p5pRT p5pRT commented Mar 22, 2016

@jhi - Status changed from 'open' to 'resolved'

@p5pRT p5pRT closed this Mar 22, 2016
@p5pRT

This comment has been minimized.

Copy link
Collaborator Author

@p5pRT p5pRT commented Mar 23, 2016

From @jhi

Fixed with

http​://perl5.git.perl.org/perl.git/commit/99315af872aaf23d9620b68b29cdc34181bf06c7

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.